<?php

/*
Plugin Name: HEE-HTML Emmet Editor
Description: Emmetが使えるシンタックスハイライトHTMLエディター。 Editor that can use Emmet on post screen.
Version: 1.1
Author: lunaris fukai
Author URI:https://lunaris-code.com/
License: GNU Affero General Public License version 3
*/


//css・js読み込み
//load style & javascript
function html_emmet_editor_scripts() {
    wp_enqueue_style( 'hee_codemirror_style1', plugins_url().'/hee-html-emmet-editor/codemirror/lib/codemirror.css' );
    wp_enqueue_style( 'hee_codemirror_style2', plugins_url().'/hee-html-emmet-editor/codemirror/addon/fold/foldgutter.css' );
    wp_enqueue_style( 'hee_codemirror_style3', plugins_url().'/hee-html-emmet-editor/codemirror/addon/dialog/dialog.css' );
    wp_enqueue_style( 'hee_codemirror_style4', plugins_url().'/hee-html-emmet-editor/codemirror/theme/vscode-dark.css' );
    wp_enqueue_script( 'hee_codemirror_js1', plugins_url().'/hee-html-emmet-editor/codemirror/lib/codemirror.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js2', plugins_url().'/hee-html-emmet-editor/codemirror/addon/search/searchcursor.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js3', plugins_url().'/hee-html-emmet-editor/codemirror/addon/search/search.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js4', plugins_url().'/hee-html-emmet-editor/codemirror/addon/dialog/dialog.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js5', plugins_url().'/hee-html-emmet-editor/codemirror/addon/edit/matchbrackets.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js6', plugins_url().'/hee-html-emmet-editor/codemirror/addon/edit/closebrackets.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js7', plugins_url().'/hee-html-emmet-editor/codemirror/addon/comment/comment.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js8', plugins_url().'/hee-html-emmet-editor/codemirror/addon/wrap/hardwrap.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js9', plugins_url().'/hee-html-emmet-editor/codemirror/addon/fold/foldcode.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js10', plugins_url().'/hee-html-emmet-editor/codemirror/addon/fold/brace-fold.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js11', plugins_url().'/hee-html-emmet-editor/codemirror/mode/xml/xml.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js12', plugins_url().'/hee-html-emmet-editor/codemirror/mode/javascript/javascript.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js13', plugins_url().'/hee-html-emmet-editor/codemirror/mode/css/css.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js14', plugins_url().'/hee-html-emmet-editor/codemirror/mode/htmlmixed/htmlmixed.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_codemirror_js15', plugins_url().'/hee-html-emmet-editor/codemirror/keymap/sublime.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_emmet', plugins_url().'/hee-html-emmet-editor/emmet/emmet.js', array('jquery') , '', true);
    wp_enqueue_script( 'hee_shortcut_key', plugins_url().'/hee-html-emmet-editor/shortcut-key/shortcut-key.js', array('jquery') , '', true);
    wp_enqueue_script( 'codemirror_set', plugins_url().'/hee-html-emmet-editor/codemirror_set.js', array('jquery') , '', true);
    ?>
        <style>
        #wp-content-editor-tools { position: relative !important; padding: 0; }
        #ed_toolbar { z-index: 999; position: relative !important; }
        </style>
    <?php
}
add_action("admin_print_scripts-post.php", 'html_emmet_editor_scripts');
add_action("admin_print_scripts-post-new.php", 'html_emmet_editor_scripts');
add_filter( 'user_can_richedit' , '__return_false' );